
public class Class461_Sub1_Sub2 extends Class461_Sub1 {

   float aFloat10387;
   float aFloat10388;


   float method12760(float var1, float var2, float var3, int var4) {
      float var5 = this.aFloat7963 / var1;
      if(var5 < 0.0F) {
         if(var4 >= -734185711) {
            ;
         }

         var5 = 0.0F;
      }

      if(var5 > 1.0F) {
         if(var4 >= -734185711) {
            ;
         }

         var5 = 1.0F;
      }

      return (this.aFloat10388 - this.aFloat10387) * var5 + this.aFloat10387;
   }

   public Class461_Sub1_Sub2(Class35 var1) {
      super(var1);
   }

   float method12759(float var1, float var2, float var3) {
      float var4 = this.aFloat7963 / var1;
      if(var4 < 0.0F) {
         var4 = 0.0F;
      }

      if(var4 > 1.0F) {
         var4 = 1.0F;
      }

      return (this.aFloat10388 - this.aFloat10387) * var4 + this.aFloat10387;
   }

   float method12762(float var1, float var2, float var3) {
      float var4 = this.aFloat7963 / var1;
      if(var4 < 0.0F) {
         var4 = 0.0F;
      }

      if(var4 > 1.0F) {
         var4 = 1.0F;
      }

      return (this.aFloat10388 - this.aFloat10387) * var4 + this.aFloat10387;
   }

   float method12763(float var1, float var2, float var3) {
      float var4 = this.aFloat7963 / var1;
      if(var4 < 0.0F) {
         var4 = 0.0F;
      }

      if(var4 > 1.0F) {
         var4 = 1.0F;
      }

      return (this.aFloat10388 - this.aFloat10387) * var4 + this.aFloat10387;
   }
}
